<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작성날짜 : 2020년 07월 24일 금요일 오전 0시 42분 - 날씨 비온후 갬, 18, 18, 22, 20 / 최고 좋음, 2, 0

  저 작 권 : Copyright ⓒ 2014-2023 피리 piree.kr All right reserved
            그누보드 외에 추가된 소스는~
            만든사람의 허락없이 무단으로 사용할수 없습니다.
            사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
            http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 피리 기본 관리 > 라이브러리 > 배열
=====================================================================

//*****************************************************************
//** SAM_SOSS
//*****************************************************************

*/

/*
  ▣ 작업자 : 피리 PIREE ( piree1977@gmail.com )
  ▣ 작업일시 : 2020년 07월 24일 금요일 오전 05시 23분 - 날씨 
  ▣ 작업내용 : 
*/

  IF ( !defined('_GNUBOARD_') )                  EXIT;

  function array_var_get($arrs, $fd_name, $var_val)
  {

      $get__val = 0;

      IF ( is_array($arrs) )
      {

          IF ( $fd_name )
          {

              IF ( $var_val)
              {

                  IF ( count($arrs) > 0 )
                  {

                      SWITCH($fd_name )
                      {

                          CASE "num_name" :

                              WHILE(list($key, $val) = each($arrs) )
                              {

                                IF ( $var_val == $val['num'] )        $get__val = $val["name"];
                              }

                          BREAK;

                          CASE "num_memo" :

                              WHILE(list($key, $val) = each($arrs) )
                              {

                                IF ( $var_val == $val['num'] )        $get__val = $val["memo"];
                              }

                          BREAK;

                          CASE "num_code" :

                              WHILE(list($key, $val) = each($arrs) )
                              {

                                IF ( $var_val == $val['num'] )        $get__val = $val["code"];
                              }

                          BREAK;

                          CASE "code_num" :

                              WHILE(list($key, $val) = each($arrs) )
                              {

                                IF ( $var_val == $val["code"])        $get__val = $val['num'];
                              }

                          BREAK;

                          CASE "name_num" :

                              WHILE(list($key, $val) = each($arrs) )
                              {

                                IF ( $var_val == $val["name"])        $get__val = $val['num'];
                              }

                          BREAK;

                          CASE "name_code" :

                              WHILE(list($key, $val) = each($arrs) )
                              {

                                IF ( $var_val == $val["name"])        $get__val = $val['code'];
                              }

                          BREAK;

                          CASE "code_name" :

                              WHILE(list($key, $val) = each($arrs) )
                              {

                                IF ( $var_val == $val["code"])        $get__val = $val["name"];
                              }

                          BREAK;

                          CASE "num_all" :

                              WHILE(list($key, $val) = each($arrs) )
                              {

                                IF ( $var_val == $val['num'] )        $get__val = $val;
                              }

                          BREAK;

                          CASE "code_all" :

                              WHILE(list($key, $val) = each($arrs) )
                              {

                                IF ( $var_val == $val["code"])        $get__val = $val;
                              }

                          BREAK;

                          CASE "name_all" :

                              WHILE(list($key, $val) = each($arrs) )
                              {

                                IF ( $var_val == $val["name"])        $get__val = $val;
                              }

                          BREAK;

                          CASE "val_key" :

                              WHILE(list($key, $val) = each($arrs) )
                              {

                                IF ( $var_val == $val)                $get__val = $key;
                              }

                          BREAK;

                      }

                      IF ( !$get__val)                                 $get__val = 0;

                  }

              }

          }

      }

      return $get__val;

  }

  function get__sql_common($fnc_update_a, $fnc_sql_type_c='save')
  {

      $sql_return_s = "";

      IF ( is_array($fnc_update_a) )
      {

          $sql_updateate_a = array();

          WHILE ( list($key, $val) = each($fnc_update_a) )
          {

              IF ( $key )
              {

                  $sql_updateate_a[] = "`". $key ."` = '". $val ."'";

              }

          }

          IF ( count($sql_updateate_a) > 0 )
          {

              SWITCH( $fnc_sql_type_c )
              {

                  CASE 'and' :

                      $sql_return_s = implode(' AND ', $sql_updateate_a);

                  BREAK;

                  CASE 'or' :

                      $sql_return_s = implode(' OR ', $sql_updateate_a);

                  BREAK;

                  DEFAULT :

                      $sql_return_s = implode(', ', $sql_updateate_a);

                  BREAK;

              }

          }

      }

      return $sql_return_s;

  }

?>